version: "3"

services:
  jnx-log-manager-server:
    container_name: jnx-log-manager-server
    image: jnx-log-manager-server:latest
    build:
      context: .
      dockerfile: Dockerfile
    restart: always
    ports:
      - "8085:8080"
    volumes:
      - log_manager_data:/app
      # CHANGE HERE - ONLY THE PATH ON YOUR SYSTEM: path_on_your_system:path_on_container
      - ./log-manager-data:/log-manager-data
    environment:
      - DOCKER=true
      - DEBUG=true
      - COLORIZED_OUTPUT=true
      - HOST=0.0.0.0
      - PORT=8080
      - SSE_SERVER_ENABLED=true
      - LOG_FOLDER=./log-manager-data/
      - DAYS_TO_KEEP_LOGS=30

volumes:
  log_manager_data:
